Package com.ocient.jdbc.proto

# Enum ClientWireProtocol.ExplainFormat

java.lang.Object
java.lang.Enum<ClientWireProtocol.ExplainFormat>
com.ocient.jdbc.proto.ClientWireProtocol.ExplainFormat

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `com.google.protobuf.ProtocolMessageEnum`, `Serializable`, `Comparable<ClientWireProtocol.ExplainFormat>`, `java.lang.constant.Constable`

Enclosing class:
  ClientWireProtocol

    public static enum ClientWireProtocol.ExplainFormat
    extends Enum<ClientWireProtocol.ExplainFormat>
    implements com.google.protobuf.ProtocolMessageEnum

Protobuf enum `xg.cmdcomp.ExplainFormat`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`DEBUG` | `DEBUG = 2;`
`JSON` | `JSON = 1;`
`PROTO` | `PROTO = 0;`
`UNRECOGNIZED` |

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `DEBUG_VALUE` | `DEBUG = 2;`
`static int` | `JSON_VALUE` | `JSON = 1;`
`static int` | `PROTO_VALUE` | `PROTO = 0;`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static ClientWireProtocol.ExplainFormat` | `forNumber​(int value)` |
`static com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptorForType()` |
`int` | `getNumber()` |
`com.google.protobuf.Descriptors.EnumValueDescriptor` | `getValueDescriptor()` |
`static com.google.protobuf.Internal.EnumLiteMap<ClientWireProtocol.ExplainFormat>` | `internalGetValueMap()` |
`static ClientWireProtocol.ExplainFormat` | `valueOf​(int value)` | Deprecated.
`static ClientWireProtocol.ExplainFormat` | `valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)` | Returns the enum constant of this type with the specified name.
`static ClientWireProtocol.ExplainFormat` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
`static ClientWireProtocol.ExplainFormat[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PROTO

public static final ClientWireProtocol.ExplainFormat PROTO
`PROTO = 0;`

### JSON

public static final ClientWireProtocol.ExplainFormat JSON
`JSON = 1;`

### DEBUG

public static final ClientWireProtocol.ExplainFormat DEBUG
`DEBUG = 2;`

### UNRECOGNIZED

public static final ClientWireProtocol.ExplainFormat UNRECOGNIZED

## Field Details

### PROTO_VALUE

public static final int PROTO_VALUE
`PROTO = 0;`

See Also:
  Constant Field Values

### JSON_VALUE

public static final int JSON_VALUE
`JSON = 1;`

See Also:
  Constant Field Values

### DEBUG_VALUE

public static final int DEBUG_VALUE
`DEBUG = 2;`

See Also:
  Constant Field Values

## Method Details

### values

public static ClientWireProtocol.ExplainFormat[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ClientWireProtocol.ExplainFormat valueOf​(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getNumber

public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

### valueOf

@Deprecated public static ClientWireProtocol.ExplainFormat valueOf​(int value)
Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static ClientWireProtocol.ExplainFormat forNumber​(int value)

### internalGetValueMap

public static com.google.protobuf.Internal.EnumLiteMap<ClientWireProtocol.ExplainFormat> internalGetValueMap()

### getValueDescriptor

public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptorForType

public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptor

public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

### valueOf

public static ClientWireProtocol.ExplainFormat valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `desc` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null